Subject: RE: Some queries

From: "Bagasrawala, Abbas" <[email-masked]>
Date: Fri, 5 Jan 2001 10:09:12 -0500

Yi,
  There's no reason why you cannot configure as you suggested but then B
becomes the bottleneck. The use of mpls in atm core helps in scaling the
network by avoiding the full meshed vcc's to each of the nodes (routers).

Abbas

-----Original Message-----
From: Yi Chu [mailto:[email-masked]]
Sent: Friday, January 05, 2001 9:54 AM
To: Bagasrawala, Abbas; [email-masked]; Cheng-Yin Lee
Cc: Faisal S. Naik; mpls uunet; [email-masked];
[email-masked]
Subject: RE: Some queries 

Abbas Bagasra:
Thanks for explaining. But sorry I still do not get the point.  If I have
routers A,B and C, connected through an ATM core.  If I set up VCs to
connect A and B, B and C only.  Is it a legitimate configuration?  I mean it
is not necessary to have A adjacent to C.  Packet from A to C can still be
routed through B.  Admitted that those packets would traverse in and out
the ATM interface on B.  But is there any architectural reason why the above
configuration is prohibited?

yi

-----Original Message-----
From:	[email-masked] [mailto:[email-masked]] On Behalf Of
Bagasrawala,
Abbas
Sent:	Friday, January 05, 2001 9:36 AM
To:	'Yi Chu'; [email-masked]; Cheng-Yin Lee
Cc:	Faisal S. Naik; mpls uunet; [email-masked];
[email-masked]
Subject:	RE: Some queries

Yi,
 I will attempt to answer this question and the experts can correct me if I
am wrong.

For IP over ATM (overlay networks) the ATM VC's are just a physical link (as
you noted) and thus each router at the end of the VC's need to be aware of
the adjacent router. In effect the ATM core is transparent and thus you have
1000 routers connected to each other. This requires that adjacencies at each
node is 999 (N-1).
With densely meshed networks the number of adjacencies are less than of
fully meshed network.

Abbas Bagasra

-----Original Message-----
From: Yi Chu [mailto:[email-masked]]
Sent: Friday, January 05, 2001 9:22 AM
To: [email-masked]; Cheng-Yin Lee
Cc: Faisal S. Naik; mpls uunet; [email-masked];
[email-masked]
Subject: RE: Some queries

Please forgive me if my question is so obvious and maybe stupid, since I am
new to this discussion.

Why 1000 nodes can have 10-15 adjacencies while IP over ATM needs 999
adjacencies per node?  I think IP over ATM uses ATM VC just as a physical
link, so there is no difference in adjacencies per node whether the routers
are connected through Sonet links or ATM VCs.

So what is the reason that IP over ATM requires full VC mesh of all nodes?

Yi Chu

-----Original Message-----
From:	[email-masked] [mailto:[email-masked]] On Behalf Of Curtis
Villamizar
Sent:	Thursday, January 04, 2001 10:27 PM
To:	Cheng-Yin Lee
Cc:	[email-masked]; Faisal S. Naik; mpls uunet; [email-masked];
[email-masked]
Subject:	Re: Some queries

In message <[email-masked]>, "Cheng-Yin Lee" writes:
> Curtis,
>
> Curtis Villamizar wrote:
>
> > There were a number of motivations for getting rid of ATM in IP
> > networks.  One was the cell tax which at a typical 20% would not alone
> > kill ATM.  Another was SAR.  You can't get fast ATM router interfaces
> > because SAR speed and SAR buffering becomes a problem.  This alone was
> > enough to kill ATM.
> >
> > Perhaps even larger was the problems of independent control planes and
> > the effect on IGP scaling.  Flooding is needed for reliability in the
> > IGP and flooding in a full mesh of N routers has some N^3 properties
> > with regard to messages sent when a router in the mesh fails and N^2
> > when a VC fails.  Attempts to constrain the flooding tended to slow
> > convergence and sometimes cause long lived IGP inconsistency when
> > change occurred.  This is not a problem is the flooding follows the
> > physical interconnections as it does with MPLS since the number of
> > adjacencies per node drops dramatically.
>
> Over time , would there be any inclinations to add direct connectivity
betwee
> n B
> and H, and then over F and D, and so on, leading to perhaps densely meshed
> networks in the long run ? What is your opinion on this?
>
>                           B-------C-------D
>                         /                                          \
>                       /                                               \
>                  A                                                    E
>                     \                                                /
>                       \                                            /
>                        F--------G--------H
>
> One could use a common control plane and may still run into IGP scaling
issue
> s
> because the network is densely meshed, right?

Densely meshed in a 1,000 node network might mean 10-15 adjacencies
per node.  That is still a lot less than full mesh of 999 adjacencies
per node if IP over ATM were used.

> > The IGP scaling problem was address by ISPs by partitioning their
> > network into core and regions but this reduced the effectivenes of TE.
>
> Could you kindly elaborate your thoughts on this?

Typically a provider would partition the topology into N regions where
N is 10s, then run VCs within an ATM core that interconnected the
regions and VCs within each region.  The routers had no visibility
into TE state so if there was mutliple routers bordering the core and
a given region and one of those core routers had a much less congested
path to a destination (recognizing that congestion was more likely
within specific regions than with the core) then the core routers had
no good way to pick the right edge router and get on the VC with a
cleaner shot at the destination.  [Its late.  I hope this is clear.]

> thanks,
> cyl

Curtis